Bug 962537 - AttributeError: 'NoneType' object has no attribute 'get_child' [NEEDINFO]
AttributeError: 'NoneType' object has no attribute 'get_child'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:ecfd180aa5de90049c075224251...
:
: 951350 967846 1019662 1057740 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 15:46 EDT by Mark Hamzy
Modified: 2014-03-13 15:21 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-13 15:21:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (hamzy)


Attachments (Terms of Use)
File: anaconda.log (33.19 KB, text/plain)
2013-05-13 15:46 EDT, Mark Hamzy
no flags Details
File: backtrace (1.84 KB, text/plain)
2013-05-13 15:46 EDT, Mark Hamzy
no flags Details
File: environ (724 bytes, text/plain)
2013-05-13 15:46 EDT, Mark Hamzy
no flags Details
File: ifcfg.log (567 bytes, text/plain)
2013-05-13 15:46 EDT, Mark Hamzy
no flags Details
File: lsblk_output (1.25 KB, text/plain)
2013-05-13 15:46 EDT, Mark Hamzy
no flags Details
File: nmcli_dev_list (3.85 KB, text/plain)
2013-05-13 15:46 EDT, Mark Hamzy
no flags Details
File: packaging.log (635.43 KB, text/plain)
2013-05-13 15:46 EDT, Mark Hamzy
no flags Details
File: program.log (16.69 KB, text/plain)
2013-05-13 15:47 EDT, Mark Hamzy
no flags Details
File: storage.log (247.73 KB, text/plain)
2013-05-13 15:47 EDT, Mark Hamzy
no flags Details
File: syslog (76.36 KB, text/plain)
2013-05-13 15:47 EDT, Mark Hamzy
no flags Details
File: anaconda-tb (1.14 MB, application/octet-stream)
2013-05-13 15:47 EDT, Mark Hamzy
no flags Details

  None (edit)
Description Mark Hamzy 2013-05-13 15:46:36 EDT
Description of problem:
I went back and forth between Installation Destination and the main menu, selecting and deselecting disks as well as automatic vs manual configuration.
The following was filed automatically by anaconda:
anaconda 19.25-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1013, in _update_selectors
    page = self._accordion._find_by_title(self.translated_new_install_name).get_child()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1345, in _save_right_side
    self._update_selectors()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2322, in _save_current_selector
    self._save_right_side(self._current_selector)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2399, in on_page_clicked
    self._save_current_selector()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 957, in _do_refresh
    self.on_page_clicked(firstPage, mountpointToShow=mountpointToShow)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 825, in refresh
    self._do_refresh()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 102, in _runSpoke
    action.refresh()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 384, in _on_spoke_clicked
    self._runSpoke(spoke)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 400, in _on_spoke_clicked
    self._on_spoke_clicked(self._spokes[dest].selector, None, self._spokes[dest])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 400, in _on_spoke_clicked
    self._on_spoke_clicked(self._spokes[dest].selector, None, self._spokes[dest])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 400, in _on_spoke_clicked
    self._on_spoke_clicked(self._spokes[dest].selector, None, self._spokes[dest])
AttributeError: 'NoneType' object has no attribute 'get_child'

Version-Release number of selected component:
anaconda-19.25-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   ro  inst.vnc
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.1-301.fc19.ppc64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 400, in _on_spoke_clicked
    self._on_spoke_clicked(self._spokes[dest].selector, None, self._spokes[dest])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 400, in _on_spoke_clicked
    self._on_spoke_clicked(self._spokes[dest].selector, None, self._spokes[dest])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 400, in _on_spoke_clicked
    self._on_spoke_clicked(self._spokes[dest].selector, None, self._spokes[dest])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 384, in _on_spoke_clicked
    self._runSpoke(spoke)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 102, in _runSpoke
    action.refresh()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 825, in refresh
    self._do_refresh()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 957, in _do_refresh
    self.on_page_clicked(firstPage, mountpointToShow=mountpointToShow)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2399, in on_page_clicked
    self._save_current_selector()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2322, in _save_current_selector
    self._save_right_side(self._current_selector)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1345, in _save_right_side
    self._update_selectors()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1013, in _update_selectors
    page = self._accordion._find_by_title(self.translated_new_install_name).get_child()
AttributeError: 'NoneType' object has no attribute 'get_child'
Comment 1 Mark Hamzy 2013-05-13 15:46:40 EDT
Created attachment 747382 [details]
File: anaconda.log
Comment 2 Mark Hamzy 2013-05-13 15:46:42 EDT
Created attachment 747383 [details]
File: backtrace
Comment 3 Mark Hamzy 2013-05-13 15:46:43 EDT
Created attachment 747384 [details]
File: environ
Comment 4 Mark Hamzy 2013-05-13 15:46:47 EDT
Created attachment 747385 [details]
File: ifcfg.log
Comment 5 Mark Hamzy 2013-05-13 15:46:49 EDT
Created attachment 747386 [details]
File: lsblk_output
Comment 6 Mark Hamzy 2013-05-13 15:46:50 EDT
Created attachment 747387 [details]
File: nmcli_dev_list
Comment 7 Mark Hamzy 2013-05-13 15:46:59 EDT
Created attachment 747388 [details]
File: packaging.log
Comment 8 Mark Hamzy 2013-05-13 15:47:04 EDT
Created attachment 747389 [details]
File: program.log
Comment 9 Mark Hamzy 2013-05-13 15:47:10 EDT
Created attachment 747390 [details]
File: storage.log
Comment 10 Mark Hamzy 2013-05-13 15:47:15 EDT
Created attachment 747391 [details]
File: syslog
Comment 11 Mark Hamzy 2013-05-13 15:47:31 EDT
Created attachment 747392 [details]
File: anaconda-tb
Comment 12 David Shea 2014-01-02 15:16:23 EST
*** Bug 967846 has been marked as a duplicate of this bug. ***
Comment 13 David Shea 2014-01-02 15:16:25 EST
*** Bug 1019662 has been marked as a duplicate of this bug. ***
Comment 14 David Shea 2014-01-08 10:13:21 EST
*** Bug 951350 has been marked as a duplicate of this bug. ***
Comment 15 David Shea 2014-01-24 13:49:19 EST
*** Bug 1057740 has been marked as a duplicate of this bug. ***
Comment 16 Charles Butterfield 2014-02-17 20:23:55 EST
Installing F20, using custom partition

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
package:        anaconda-20.25.15-1
product:        Fedora
reason:         AttributeError: 'NoneType' object has no attribute 'get_child'
release:        Cannot get release name.
version:        20
Comment 17 David Shea 2014-03-04 16:28:21 EST
Does this still occur in F20 or rawhide? Can you provide more detailed steps to reproduce?

Note You need to log in before you can comment on or make changes to this bug.